const OBJECT_REPORT = new Map();
OBJECT_REPORT.set(
    'before-gallery',
    {
        "Object Type" : null,
        "Object ID" : null,
        "Object Excavation code" : null,
        "Object Chronology" : null,
        "Object Era" : null,
        "Object Geographical Context of Discovery" : null,
        "Object Dimensions" : null,
        "Object Material" : null,
    }
);
OBJECT_REPORT.set(
    'after-gallery-1-col',
    {
        "Object Description" : null,
        "Object Conservation State" : null,
    }
);
OBJECT_REPORT.set(
    'after-gallery-2-col',
    {
        "Object Reused?" : null,
        "Object Project" : null,
        "Object Compiler" : null,
        "Object Bibliography" : null,
    }
);
const CONTEXT_REPORT = new Map();
CONTEXT_REPORT.set(
    'before-gallery',
    {
        "Context Name" : null,
        "Context Typology" : null,
        "Context Chronology" : null,
        "Context Era" : null,
        "Context Surface" : null,
        "Context Square meters" : null,
        "Context Quality of the marble used/extracted" : null,
        "Context Quantity of extracted material (cm3)" : null,
        "Context Traces of extraction tools" : null,
        "Context Amount of debris (cm3)" : null,
        "Context Presence of unfinished materials" : null,
        "Context Collections for the lifting machine" : null,
        "Context Current status" : null,
        "Context Streets of contention" : null
    }
);
CONTEXT_REPORT.set(
    'after-gallery-1-col',
    {
        "Context Description" : null,
    }
);
CONTEXT_REPORT.set(
    'after-gallery-2-col',
    {
        
        "Context Project" : null,
        "Context Compiler" : null,
        "Context Bibliography" : null,
    }
);
const SAMPLE_REPORT = new Map();
SAMPLE_REPORT.set(
    'before-gallery',
    {
        "Sample ID" : null,
        "Sample Object" : null,
        "Sample Sampling date" : null,
        "Sample Withdrawal Point" : null,
        "Sample Compiler" : null,
        "Sample Bibliography" : null,
    }
);
const ANALYSIS_REPORT = new Map();
ANALYSIS_REPORT.set(
    'before-gallery',
    {
        "Analysis Sample" : null,
        "Analysis Description" : null,
        "Analysis Conservation status" : null,
    }
);
ANALYSIS_REPORT.set(
    'gallery',
    {
        "Analysis Photos" : {
            "Analysis Photos Microscopy" : null,
            "Analysis Photos SEM EDS" : null,
            "Analysis Photos Microscopic" : null,
        }
    }
);
ANALYSIS_REPORT.set(
    'after-gallery',
    {
        "Analysis Spectrum" : {
            "Spectrum Raw Data" : null,
            "Spectrum Technique" : null,
            "Spectrum Interpreted Data" : null,
        }
    }
);

export {
    OBJECT_REPORT,
    CONTEXT_REPORT,
    SAMPLE_REPORT,
    ANALYSIS_REPORT,
};
